/**
 * bys-login.css
 * Login/register page styles.
 * Conditionally enqueued on the login and register pages.
 */

.login-card {
  position: relative;
  z-index: 3;
  margin: auto;
  width: 100%;
  max-width: 52.5rem;
  border-radius: 1rem;
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
  padding: clamp(2rem, 0.0916rem + 6.1069vw, 4rem);
  box-shadow: 0 0 14px 0 rgba(0, 0, 0, 0.25);
}

.login-card .site-logo {
  width: 15.125rem;
  max-height: 1.75rem;
  display: block;
  height: auto;
}

.login-card .site-logo svg {
  height: 100%;
  width: 100%;
}

/* Uncanny Owl - Front End Login Module*/

.login-card .uo_loginForm label {
  font-size: var(--wp--preset--font-size--small);
  display: inline-block;
  margin-bottom: var(--wp--preset--spacing--2);
}

.login-card .uo_loginForm input:not([type="submit"], [type="checkbox"]) {
  width: 100%;
  border: 1px solid var(--color-gray-300);
}

.login-card .uo_loginForm input[type="submit"] {
  min-width: 10rem;
}

.login-card .uo_loginForm .login-username {
  margin-bottom: var(--wp--preset--spacing--4);
}

.login-card .uo_loginForm .login-username input[type="text"] {
  height: unset;
}

.login-card .uo_loginForm .login-password {
  margin-bottom: var(--wp--preset--spacing--4);
}

.login-card .uo_loginForm .login-password input[type="password"]{
  padding: var(--wp--preset--spacing--8);
  width: 100%;
  height: unset;
}

.login-card .uo_loginForm .login-remember {
  margin-bottom: var(--wp--preset--spacing--6);
}

.login-card .uo_loginForm .login-remember input[type="checkbox"] {
  margin-right: var(--wp--preset--spacing--2);
  width: 1rem;
  height: 1rem;
}

.login-card .uo_loginForm .login-remember label {
  font-size: var(--wp--preset--font-size--x-small);
  font-weight: 400 !important;
}

.login-card .uo_loginForm .login-links-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: var(--wp--preset--spacing--5);
  font-size: var(--wp--preset--font-size--small);
  margin-top: var(--wp--preset--spacing--7);
}

.login-card .uo_loginForm .login-links-wrapper .bys-ult-register {
  border-radius: 0.5rem;
  background-color: var(--color-gray-50);
  padding: var(--wp--preset--spacing--2) var(--wp--preset--spacing--4);
}

.login-card .uo_loginForm .login-links-wrapper .bys-ult-register p {
  margin: 0;
}

.login-card .uo_loginForm .login-links-wrapper .forgot-link {
  font-weight: 500;
}

/* Custom password field wrapper */

.login-card .uo_loginForm .password-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
}

/* Visibility button */

.login-card .uo_loginForm .password-wrapper .toggle-visibility {
  background-color: transparent !important;
  border: 0;
  border-radius: 0.25rem;
  height: 1.5rem !important;
  width: 1.5rem !important;
  padding: 1rem;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 1rem;
  background-size: 80%;
  background-position: center center;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' aria-hidden='true' focusable='false'%3E%3Cpath d='M17.94 17.94A10.07 10.07 0 0 1 12 20c-7 0-11-8-11-8a18.45 18.45 0 0 1 5.06-5.94M9.9 4.24A9.12 9.12 0 0 1 12 4c7 0 11 8 11 8a18.5 18.5 0 0 1-2.16 3.19m-6.72-1.07a3 3 0 1 1-4.24-4.24'%3E%3C/path%3E%3Cline x1='1' y1='1' x2='23' y2='23'%3E%3C/line%3E%3C/svg%3E");
}

.login-card .uo_loginForm .password-wrapper .toggle-visibility.is-visible {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' aria-hidden='true' focusable='false'%3E%3Cpath d='M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z'%3E%3C/path%3E%3Ccircle cx='12' cy='12' r='3'%3E%3C/circle%3E%3C/svg%3E");
}

.login-card .uo_loginForm .password-wrapper .toggle-visibility:hover {
  background-color: var(--color-gray-100) !important;
}

/* Lost Password Form */

.login-card .uo_loginForm form[name="lostpasswordform"] {
  margin-top: var(--wp--preset--spacing--6);
}

.login-card .uo_loginForm form[name="lostpasswordform"] .submit {
  margin-top: var(--wp--preset--spacing--7);
}
